Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# AVStreams::FlowConnection Interface Reference

`import "AVStreams.idl";`

List of all members.

## Public Methods
void | stop ()
void | start ()
void | destroy ()
boolean | modify_QoS (inout AVStreams::QoS new_qos) raises (AVStreams::QoSRequestFailed)
boolean | use_flow_protocol (in string fp_name, in any fp_settings) raises (AVStreams::FPError, AVStreams::notSupported)
oneway void | push_event (in AVStreams::streamEvent the_event)
boolean | connect_devs (in FDev a_party, in FDev b_party, inout AVStreams::QoS the_qos) raises (AVStreams::streamOpFailed, AVStreams::streamOpDenied, AVStreams::QoSRequestFailed)
boolean | connect (in FlowProducer flow_producer, in FlowConsumer flow_consumer, inout AVStreams::QoS the_qos) raises (formatMismatch, FEPMismatch, alreadyConnected)
boolean | disconnect ()
boolean | add_producer (in FlowProducer flow_producer, inout AVStreams::QoS the_qos) raises (alreadyConnected, AVStreams::notSupported)
boolean | add_consumer (in FlowConsumer flow_consumer, inout AVStreams::QoS the_qos) raises (alreadyConnected)
boolean | drop (in FlowEndPoint target) raises (notConnected)

## Member Function Documentation

boolean AVStreams::FlowConnection::add_consumer | ( | in FlowConsumer | flow_consumer,
|  | inout AVStreams::QoS | the_qos
| ) | raises (alreadyConnected)

boolean AVStreams::FlowConnection::add_producer | ( | in FlowProducer | flow_producer,
|  | inout AVStreams::QoS | the_qos
| ) | raises (alreadyConnected, AVStreams::notSupported)

boolean AVStreams::FlowConnection::connect | ( | in FlowProducer | flow_producer,
|  | in FlowConsumer | flow_consumer,
|  | inout AVStreams::QoS | the_qos
| ) | raises (formatMismatch, FEPMismatch, alreadyConnected)

boolean AVStreams::FlowConnection::connect_devs | ( | in FDev | a_party,
|  | in FDev | b_party,
|  | inout AVStreams::QoS | the_qos
| ) | raises (AVStreams::streamOpFailed, AVStreams::streamOpDenied, AVStreams::QoSRequestFailed)

void AVStreams::FlowConnection::destroy | ( |  | ) |

boolean AVStreams::FlowConnection::disconnect | ( |  | ) |

boolean AVStreams::FlowConnection::drop | ( | in FlowEndPoint | target | ) | raises (notConnected)

boolean AVStreams::FlowConnection::modify_QoS | ( | inout AVStreams::QoS | new_qos | ) | raises (AVStreams::QoSRequestFailed)

oneway void AVStreams::FlowConnection::push_event | ( | in AVStreams::streamEvent | the_event | ) |

void AVStreams::FlowConnection::start | ( |  | ) |

void AVStreams::FlowConnection::stop | ( |  | ) |

boolean AVStreams::FlowConnection::use_flow_protocol | ( | in string | fp_name,
|  | in any | fp_settings
| ) | raises (AVStreams::FPError, AVStreams::notSupported)

The documentation for this interface was generated from the following file:

- AVStreams.idl